Subject: [manet] Problems when running MAODV-UMD, help please!

From: landsailor <[email-masked]>
Date: Tue, 15 Jan 2008 11:52:02 +0800 (CST)

Hello all,

I am tring to run MAODV from UMD now, but seems some problems blocked me.

I have download aodv-uu-0.7.2 and used the corresponding patch, then I typed 'aodvd -i eth0 -l -r 3' and it runs.

Then I set up a scenario to test this protocol. I use 3 computers A<->B<->C, where A cannot communicate with C directly(I use 'iptables -A INPUT -j DROP -m mac --mac-source <mac addr of A or C>' to achieve this).

I run MAODV on all these 3 computers and let computer A to send multicast packets, let C to receive multicast packets, A and C are members of the multicast group. The median computer B just funcions as a multicast router.

Then the problem comes. The receive routine on C cannot receive multicast  packets. But when I use 'tcpdump' on C  I found the multicast  packets did come into to this computer. Then I add some 'printf' to the MAODV source code and found that couputer C receives multicast  packets at NF_IP_PRE_ROUTING and re-send these out at NF_IP_LOCAL_OUT, but never send it to the application layer at NF_IP_LOCAL_IN, in spite of this computer is actually member of the multicast group.

I don`t why this happen. Could anyone help me please? Thanks!

BTW: in the linux kernel options, I have the 'IP: multicasting' and 'IP: multicast routing' enabled, and when A sends packet, I have set ttl >1.

Regards
Song

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet